Set runner roles

  • PUT /platform/infrastructure/runners/{runner_id}/roles
Auth

Set runner roles.

Path parameters

runner_id string required

The identifier for the runner

Query parameters

bless boolean

Assigns the runner to the roles.

Request body

The roles for the runner that you want to apply.

roles object[] required

List of roles

role_name string required

Name of the role

Responses

The roles for the {runner_id} specified runner are assigned.

application/json
roles object[] required

List of roles

role_name string required

Name of the role

There was an error while assigning the roles for the {runner_id} specified runner. Try your request again. (code: runners.runner_set_roles_failed)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response

Unable to find the {runner_id} specified runner. Edit your request, then try again. (code: runners.runner_not_found)

application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response